<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="estilos.css">
</head>

<body>
    <p>Cuando se pone el cursor en la caja azul, no ocurre nada</p>
    <p>Cuando se pone el cursor en la caja roja, se mueve la azul a la derecha y se cambia el color</p>
    <div class="contenedor">
        <div class="caja roja">#box1</div>
        <div class="caja azul">#box2</div>
    </div>
</body>

</html>